org.openmuc.openiec61850

## Class FileInformation

- java.lang.Object
- - org.openmuc.openiec61850.FileInformation

    public class FileInformation
    extends java.lang.Object

Contains file information received by the GetFileDirectory service

### Constructor Summary

Constructors
Constructor and Description
`FileInformation(java.lang.String filename, long fileSize, java.util.Calendar lastModified)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFilename()`
`long` `getFileSize()`
`java.util.Calendar` `getLastModified()` Get the time stamp of last modification.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileInformation

    public FileInformation(java.lang.String filename,
                           long fileSize,
                           java.util.Calendar lastModified)

### Method Detail

#### getFilename

    public java.lang.String getFilename()

#### getFileSize

    public long getFileSize()

#### getLastModified

    public java.util.Calendar getLastModified()

Get the time stamp of last modification. As it is an optional attribute the return value can be null

Returns:
  the time stamp of last modification, or null if the time stamp is not present